#ifndef _AD_DA_
#define _AD_DA_

#include "chip.h"
#include "board.h"
#include <stdio.h>

#define DAC_A   0x0
#define DAC_B   0x02
#define both_DAC    0x04

#define DAC_reg 0x0
#define Out_range 0x08
#define Power_contr 0x10
#define Control_reg 0x18


void DAC_Init(void);
extern void DAC_SendCommand(uint16_t prvni8, uint16_t druhy8, uint16_t treti8);
extern uint8_t DAC_Set_Voltage(uint8_t channel, float Uout);
extern void ADC_ReadVoltage (float *in_array);


#endif /* _AD_DA_ */
